import 'package:puma_core/redux/core/coreAction.dart';
import 'package:puma_core/redux/core/coreState.dart';
import 'package:redux/redux.dart';

final coreReducer = combineReducers<CoreState>([
  TypedReducer<CoreState, SetAppInfoAction>(_setAppInfo),
]);

CoreState _setAppInfo(CoreState state, SetAppInfoAction action) {
  return state.rebuild((b) => b..appInfo = action.appInfo.toBuilder());
}
