import 'package:in_app_review/in_app_review.dart';

launchAppStoreReview({
  required void Function(bool) onCompleted,
}) async {
  final InAppReview inAppReview = InAppReview.instance;
  inAppReview.isAvailable().then((ready) {
    if (ready) {
      inAppReview.requestReview();
    }

    onCompleted(ready);
  });
}
