import '../core/coreAction.dart';

class ErrorAction implements CoreAction {
  final int timestamp;
  final String dispatcherKey;
  final dynamic error;
  ErrorAction(this.error, {this.dispatcherKey = ""})
      : timestamp = DateTime.now().millisecondsSinceEpoch;
  // bool operator ==(a) => a is ErrorAction && hashCode == a.hashCode;
  // int get hashCode => timestamp.hashCode ^ error.hashCode;

  // @override
  // String toString() {
  //   return "Error {TS: $timestamp Error: $error}";
  // }
}

class AuthorizationErrorAction extends ErrorAction {
  AuthorizationErrorAction(dynamic error) : super(error);
}

class ValidationErrorAction extends ErrorAction {
  ValidationErrorAction(dynamic error) : super(error);
}

class RuntimeErrorAction extends ErrorAction {
  RuntimeErrorAction(error) : super(error);
}

class ClearErrorAction {
  ClearErrorAction();
}
